Users
Fetch users holding all specified permissions (intersection)
POST /api/v1/auth/users/by-permissions
Body: {"permissions": [{"permission": "sales:foo", "client_name": "..."}, ...]}
Returns the intersection of user_ids holding ALL listed permissions.
POST
Fetch users holding all specified permissions (intersection)
Authorizations
Enter your JWT token in the format: Bearer
Body
Serializer for listing users with department information.
Required string length:
1 - 150Pattern:
^[\w.@+-]+$Maximum string length:
254Maximum string length:
150Maximum string length:
150Maximum string length:
50Required string length:
1 - 20STAFF- StaffCORRESPONDENT- CorrespondentCONSUMER- Cape Digi Consumer
Available options:
STAFF, CORRESPONDENT, CONSUMER Response
200 - application/json
Serializer for listing users with department information.
Maximum string length:
150Pattern:
^[\w.@+-]+$True if the user has not logged in for 2 or more business days (Mon–Fri).
None last_login (never logged in) is also treated as inactive.
Maximum string length:
254Maximum string length:
150Maximum string length:
150Maximum string length:
50Maximum string length:
20STAFF- StaffCORRESPONDENT- CorrespondentCONSUMER- Cape Digi Consumer
Available options:
STAFF, CORRESPONDENT, CONSUMER Fetch users holding all specified permissions (intersection)
